import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.util.Hashtable;

/** Vonal vastagságának beállítása */
public class VastagságDlg extends OKCancelDialog implements ChangeListener
{
    private JSlider     csúszka;        // a csúszka

    private JLabel      info;           // a csúszka értékének megjelenítése

    public VastagságDlg(JFrame keret, String cím)
    {
        super(keret, cím);
        info = new JLabel("" + 1.0, SwingConstants.CENTER);
        Hashtable   címkék = new Hashtable();
        for ( int i = 0; i <= 16; i += 4 )
            címkék.put(Integer.valueOf(i), new JLabel("" + (i / 4.0 + 1.0)));
        csúszka = new JSlider(0, 16, 0);
        csúszka.setLabelTable(címkék);
        csúszka.setMajorTickSpacing(4);
        csúszka.setMinorTickSpacing(1);
        csúszka.setPaintTicks(true);
        csúszka.setPaintLabels(true);
        csúszka.setSnapToTicks(true);
        csúszka.addChangeListener(this);
        setLayout(new BorderLayout());
        add("North", info);
        add("Center", csúszka);
        add("South", gombpanel);

        setSize(new Dimension(250, 120));
        setResizable(false);
    }

    @Override
    protected boolean processOK()   { return true; }

    @Override
    protected void processCancel()  {}

    public float getValue()         { return (float)(csúszka.getValue() / 4.0 + 1.0); }

    public void setValue(float fv)
    {
        int v = (int)((fv - 1.0) * 4.0);
        if ( v < csúszka.getMinimum() ) v = csúszka.getMinimum();
        if ( v > csúszka.getMaximum() ) v = csúszka.getMaximum();
        csúszka.setValue(v);
    }

	public void stateChanged(ChangeEvent e)
	{
		info.setText("" + (csúszka.getValue() / 4.0 + 1.0));
	}
}
