import javax.swing.*;
import java.awt.*;

/** Kiterjedés megadása */
public class DimDlg extends OKCancelDialog
{
    private JTextField  szélesség;
    private JTextField  magasság;
    private Dimension   dim = new Dimension();

    public DimDlg(JFrame keret)
    {
        super(keret, "A rajz mérete");
        szélesség = new JTextField();
        magasság = new JTextField();
        JPanel  adat = new JPanel(new GridLayout(2, 2));
        adat.add(new JLabel("Szélesség: "));
        adat.add(szélesség);
        adat.add(new JLabel("Magasság: "));
        adat.add(magasság);
        setLayout(new BorderLayout());
        add("Center", adat);
        add("South", gombpanel);
        pack();
        setResizable(false);
    }

    public void setValue(Dimension d)
    {
        szélesség.setText("" + d.width);
        magasság.setText("" + d.height);
    }

    public Dimension getValue() { return dim; }

    @Override
    protected boolean processOK()
    {
        try
        {
            dim.width = Integer.parseInt(szélesség.getText());
            dim.height = Integer.parseInt(magasság.getText());
            if ( dim.width < 1 || dim.height < 1 )  return false;
            return true;
        }
        catch (Exception e) { return false; }
    }

    @Override
    protected void processCancel()  {}
}
