import java.awt.*;
import java.awt.geom.*;
import javax.swing.ImageIcon;

public class Ellipszis extends Alakzat
{
    private static final ImageIcon  ikon = new ImageIcon(Rajz.class.getResource("ikonok/ellipszis.png"));

    private transient Ellipse2D.Double  s;  // a rajzoláshoz használt alakzat

    public Ellipszis()
    {
        super(new Point(0, 0), Color.black, Color.black, false, 1.0f, Alakzat.NORMÁL);
        s = new Ellipse2D.Double();
    }

    public Ellipszis(Point p, Color vsz, Color tsz, boolean t, float v, int st)
    {
        super(p, vsz, tsz, t, v, st);
        s = new Ellipse2D.Double();
    }

    public Alakzat másol(Point p, Color vsz, Color tsz, boolean t, float v, int st)
    {
        return new Ellipszis(p, vsz, tsz, t, v, st);
    }

    @Override
    public void rajzol(Graphics2D g)
    {
        s.setFrame(keret());
        if ( töltött )
        {
            g.setColor(töltő);
            g.fill(s);
        }
        g.setColor(vonal);
        g.setStroke(stílus);
        g.draw(s);
    }

    @Override
    public String név() { return "Ellipszis"; }

    @Override
    public ImageIcon ikon() { return ikon; }

    private void readObject(java.io.ObjectInputStream in) throws java.io.IOException, ClassNotFoundException
    {
        in.defaultReadObject();
        s = new Ellipse2D.Double();
        stílus = vonalstílus();
	}
}
