import java.awt.*;
import java.awt.geom.*;
import javax.swing.ImageIcon;

public class Szakasz extends Alakzat
{
    private static final ImageIcon  ikon = new ImageIcon(Rajz.class.getResource("ikonok/szakasz.png"));

    private transient Line2D.Double s;  // a rajzoláshoz használt alakzat

    public Szakasz()
    {
        super(new Point(0, 0), Color.black, Color.black, false, 1.0f, Alakzat.NORMÁL);
        s = new Line2D.Double();
    }

    public Szakasz(Point p, Color vsz, Color tsz, boolean t, float v, int st)
    {
        super(p, vsz, tsz, t, v, st);
        s = new Line2D.Double();
    }

    public Alakzat másol(Point p, Color vsz, Color tsz, boolean t, float v, int st)
    {
        return new Szakasz(p, vsz, tsz, t, v, st);
    }

    @Override
    public void rajzol(Graphics2D g)
    {
        g.setColor(vonal);
        g.setStroke(stílus);
        s.setLine(kezdőpont.x + 0.5, kezdőpont.y + 0.5, végpont.x + 0.5, végpont.y + 0.5);
        g.draw(s);
    }

    @Override
    public String név() { return "Szakasz"; }

    @Override
    public ImageIcon ikon() { return ikon; }

    private void readObject(java.io.ObjectInputStream in) throws java.io.IOException, ClassNotFoundException
    {
        in.defaultReadObject();
        s = new Line2D.Double();
        stílus = vonalstílus();
	}
}

