import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;

/** Nagyítás értékének beállítása */
public class ZoomDlg extends OKCancelDialog implements ChangeListener
{
    private JSlider     csúszka;        // a csúszka

    private JLabel      info;           // a csúszka értékének megjelenítése

    public ZoomDlg(JFrame keret, String cím, int min, int max, int érték, int fő)
    {
        super(keret, cím);
        if ( érték < min || érték > max )   érték = min;
        info = new JLabel("" + érték, SwingConstants.CENTER);
        csúszka = new JSlider(min, max, érték);
        csúszka.setMajorTickSpacing(fő);
        csúszka.setMinorTickSpacing(1);
        csúszka.setPaintTicks(true);
        csúszka.setPaintLabels(true);
        csúszka.setSnapToTicks(true);
        csúszka.addChangeListener(this);
        setLayout(new BorderLayout());
        add("North", info);
        add("Center", csúszka);
        add("South", gombpanel);

        setSize(new Dimension(250, 120));
        setResizable(false);
    }

    @Override
    protected boolean processOK()   { return true; }

    @Override
    protected void processCancel()  {}

    public int getValue()           { return csúszka.getValue(); }

    public void setValue(int v)
    {
        if ( v < csúszka.getMinimum() ) v = csúszka.getMinimum();
        if ( v > csúszka.getMaximum() ) v = csúszka.getMaximum();
        csúszka.setValue(v);
    }

	public void stateChanged(ChangeEvent e)
	{
		info.setText("" + csúszka.getValue());
	}
}
